<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Activity 1 HTML</title>
</head>
	<p><i>Science and Engineering Ethics (2001) 7, 231-238</i></p>
<hr>
	
	<h1>Software Engineering Code of Ethics and <br> Professional Practice</h1>

	<h3>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
<hr>

<body>

<p><strong>Keywords</strong>: code of ethics, professional responsibility,software engineering</p>

	<p>
		<strong>PREAMBLE</strong>
<div>
	<div>
The short version of the code summarizes aspirations at a high level of the abstraction. The clauses that <br> are included in the full version give examples and details of how these aspirations change the way we <br>act as software engineering professionals. Without the aspirations, the details can become legalistic <br> and tedious; without the details, the aspirations can become high sounding but empty; together, the aspirations and the <br> details form a cohesive code.<br>
	<br>
Software engineers shall commit themselves to making the analysis, specification, design, <br> development, testing and maintenance of software a beneficial and respected profession. In <br> accordance with their commitment to the health, safety and welfare of the public, software engineers <br> shall adhere to the following Eight Principles: <br>
				<br>	
<Strong>PRINCIPLES</Strong>
					<br>
						<br>
<ol>
<li>
	<i>Public</i>. Software engineers shall act consistently with the public interest.
   </li>
<li>	
    <i>Client and employer</i>. Software engineers shall act in a manner that is in the best interests of their <br> client and employer consistent with the public interest.
   </li>
<li>  
    <i>Product</i>.Software engineers shall ensure that their products and related modifications meet the <br> highest professional standards possible.
   </li>
<li>
	<i>Judgement</i> – Software engineers shall maintain integrity and independence in their professional <br>judgment.
	</li>
	<li>
	<i>Management</i> – Software engineering managers and leaders shall subscribe to and promote an <br> ethical approach to the management of software development and maintenance.
	</li>
<li>
	<i>Profession</i> – Software engineers shall advance the integrity and reputation of the profession <br>consistent with the public interest.
	</li>
<li>
	<i>Colleagues</i> – Software engineers shall be fair to and supportive of their colleagues.
	</li>
<li>
	<i>Self</i> – Software engineers shall participate in lifelong learning regarding the practice of their <br> profession and shall promote an ethical approach to the practice of the profession.
</li>
</ol>
	</p>


</body>
</html>